import java.util.HashMap;
import java.util.Map;

public class Bins {
    private Map<Integer, Integer> bins;
    private int min;
    private int max;

    public Bins(int min, int max) {
        bins = new HashMap<Integer, Integer>();
        this.min = min;
        this.max = max;
        for (int i = min; i <= max; i++) {
            bins.put(i, 0);
        }
    }

    public int getMin() {
        return min;
    }

    public int getMax() {
        return max;
    }

    public int getBin(int binKey) {
        return bins.get(binKey);
    }

    public int incrementBin(int binKey) {
        int currentValue = bins.get(binKey);
        currentValue++;
        bins.put(binKey, currentValue);
        return bins.get(binKey);
    }
}
